/*******************************************************************************
 * Copyright (c) 2011 Ericsson
 * 
 * All rights reserved. This program and the accompanying materials are
 * made available under the terms of the Eclipse Public License v1.0 which
 * accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *   Bernd Hufmann - Initial API and implementation
 *******************************************************************************/
package org.eclipse.linuxtools.ust.sample2.ui.model;

import org.eclipse.linuxtools.tmf.ui.views.statistics.model.AbsTmfStatisticsTree;
import org.eclipse.linuxtools.tmf.ui.views.statistics.model.TmfStatisticsTreeNode;
import org.eclipse.linuxtools.tmf.util.TmfFixedArray;

public class NewStatisticsTreeNode extends TmfStatisticsTreeNode {

    public NewStatisticsTreeNode(TmfFixedArray<String> path, AbsTmfStatisticsTree nodes) {
        super(path, nodes);
        fValue = new NewStatistics();
    }

    @Override
    public void reset() {
        super.reset();
        fValue = new NewStatistics();
    }
}
